import request from '@/utils/request'

// 查询预约记录列表
export function listReservRecord(query) {
  return request({
    url: '/wuYe/reservRecord/list',
    method: 'get',
    params: query
  })
}

// 查询预约记录详细
export function getReservRecord(reservRecordId) {
  return request({
    url: '/wuYe/reservRecord/' + reservRecordId,
    method: 'get'
  })
}

// 新增预约记录
export function addReservRecord(data) {
  return request({
    url: '/wuYe/reservRecord',
    method: 'post',
    data: data
  })
}

// 修改预约记录
export function updateReservRecord(data) {
  return request({
    url: '/wuYe/reservRecord/put',
    method: 'post',
    data: data
  })
}

// 删除预约记录
export function delReservRecord(reservRecordId) {
  return request({
    url: '/wuYe/reservRecord/delete/' + reservRecordId,
    method: 'get'
  })
}
